plugin: aws_ec2
regions:
  - <aws_region>
filters:
  tag:gitlab_node_prefix: <environment_prefix>
keyed_groups:
  - key: tags.gitlab_node_type
    separator: ''
  - key: tags.gitlab_node_level
    separator: ''
  - key: tags.gitlab_node_prefix
    separator: ''
  - key: tags.gitlab_geo_site
    separator: ''
  - key: tags.gitlab_geo_full_role
    separator: ''
hostnames:
  # List host by name instead of the default public ip
  - tag:Name
compose:
  # Return the public IP address of the box for connection
  ansible_host: public_ip_address
